Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.control
Enum HttpControl.METHOD

    java.lang.Object
      java.lang.Enum<HttpControl.METHOD>
          com.bea.control.HttpControl.METHOD

All Implemented Interfaces:
  Serializable, Comparable<HttpControl.METHOD>

Enclosing interface:
  HttpControl

    public static enum HttpControl.METHOD

extends Enum<HttpControl.METHOD>

Enum Constant Summary
`GET`
`GETRESPONSE`
`HEADERS`
`POST`

Method Summary
`static HttpControl.METHOD` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpControl.METHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final HttpControl.METHOD GET

### POST

    public static final HttpControl.METHOD POST

### HEADERS

    public static final HttpControl.METHOD HEADERS

### GETRESPONSE

    public static final HttpControl.METHOD GETRESPONSE

Method Detail

### values

    public static final HttpControl.METHOD[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HttpControl.METHOD c : HttpControl.METHOD.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HttpControl.METHOD valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD